; docformat = 'rst'
;+
; .. _testts.pro:
;
; ==========
; testts.pro
; ==========
;
; dessin d'une climato de AMSU canal A4
;
; TODO
; ====
;
; :Uses:
;  :ref:`initncdf <saxo:initncdf>`
;
; :Restrictions:
;  SAXO
;
; :Pre:
;
; :Post:
;
; :Todo:
;
;
; ++ comment ne pas faire figurer dans les labels de l'axe x l'anne bidon ?
; :Examples:
;
; ::
;
;    testts
;
; :History:
;
;  $Id: testts.pro 215 2011-04-26 10:33:10Z pinsard $
;
; - fplod 20110426T080638Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * usage of PROJECT*
;
; - fplod 20100701T130054Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
PRO testts

@cm_project
@cm_4cal

initncdf, project_id_env+'a4.climato.nc',xaxisname = 'xlon', yaxisname = 'ylat'

iodir = project_id_env
file = 'a4.climato.nc'
date1 = 20000101L
date2 = 20000630L
int=.5
field = read_ncdf('moyenne_tb',timevar = 'jours',date1,date2,file = file, /no)
time=julday(01,01,2000)+ lindgen(jpt)
pltt,field,'yt',window=0
Dummy = LABEL_DATE(0,DATE_FORMAT='%M%Y')
pltt,field,'yt',window=1,XTICKFORMAT = 'LABEL_DATE'

time=TIMEGEN(jpt, START=JULDAY(01,01,2000))
Dummy = LABEL_DATE(0,DATE_FORMAT='%M%Y')
pltt,field,'yt',window=2,XTICKFORMAT = 'LABEL_DATE'
Dummy = LABEL_DATE(DATE_FORMAT='%M')
pltt,field,'yt',window=3,XTICKFORMAT = 'LABEL_DATE'

pltt,field,'yt',window=4,DATE_FORMAT="%M"

END
